Index: trunk/LMDZ.MARS/libf/phymars/physiq_mod.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 1973)
+++ trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 1974)
@@ -2804,5 +3074,52 @@
              call WRITEDIAGFI(ngrid,'rdust','rdust',
      &                        'm',1,rdust)
-           endif
+           endif ! doubleq 1D
+           if (rdstorm) then
+             call writediagfi(1,'aerosol_dust','opacity of env. dust',''
+     &                        ,1,aerosol(:,:,igcm_dust_mass))
+             call writediagfi(1,'aerosol_stormdust',
+     &                         'opacity of storm dust',''
+     &                        ,1,aerosol(:,:,igcm_stormdust_mass))
+             call WRITEDIAGFI(ngrid,'dqsdifdustq','diffusion',
+     &                       'kg.m-2.s-1',0,zdqsdif(1,igcm_dust_mass))
+             call WRITEDIAGFI(ngrid,'dqsdifrdsq','diffusion',
+     &                  'kg.m-2.s-1',0,zdqsdif(1,igcm_stormdust_mass))
+             call WRITEDIAGFI(ngrid,'mstormdtot',
+     &                        'total mass of stormdust only',
+     &                        'kg.m-2',0,mstormdtot)
+             call WRITEDIAGFI(ngrid,'mdusttot',
+     &                        'total mass of dust only',
+     &                        'kg.m-2',0,mdusttot)
+             call WRITEDIAGFI(ngrid,'tauref',
+     &                    'Dust ref opt depth','NU',0,tauref)
+             call WRITEDIAGFI(ngrid,'rdsdqsdust',
+     &                        'deposited surface stormdust mass',
+     &                        'kg.m-2.s-1',0,rdsdqdustsurf)
+             call WRITEDIAGFI(ngrid,'rdsdustq','storm Dust mass mr',
+     &                        'kg/kg',1,rdsqdust)
+             call WRITEDIAGFI(ngrid,"stormfract", 
+     &                         "fraction of the mesh,with stormdust",
+     &                         "none",0,totstormfract)
+             call WRITEDIAGFI(ngrid,'rdsqsurf',
+     &                 'stormdust at surface',
+     &                 'kg.m-2',0,qsurf(:,igcm_stormdust_mass))
+             call WRITEDIAGFI(ngrid,'qsurf',
+     &                  'dust mass at surface',
+     &                  'kg.m-2',0,qsurf(:,igcm_dust_mass))
+             call WRITEDIAGFI(ngrid,'wspeed','vertical speed stormdust',
+     &                        'm/s',1,wspeed)
+             call WRITEDIAGFI(ngrid,'totaldustq','total dust mass',
+     &                        'kg/kg',1,qdusttotal)
+             call WRITEDIAGFI(ngrid,'dsords',
+     &                       'density scaled opacity of stormdust',
+     &                       'm2.kg-1',1,dsords)
+             call WRITEDIAGFI(ngrid,'zdqsed_dustq'
+     &          ,'sedimentation q','kg.m-2.s-1',1,
+     &          zdqsed(1,:,igcm_dust_mass))
+             call WRITEDIAGFI(ngrid,'zdqsed_rdsq'
+     &          ,'sedimentation q','kg.m-2.s-1',1,
+     &          zdqsed(1,:,igcm_stormdust_mass))
+           endif !(rdstorm 1D)
+
            if (water.AND.tifeedback) then
              call WRITEDIAGFI(ngrid,"soiltemp",
@@ -2975,4 +3292,5 @@
 
       icount=icount+1
+	
 
       END SUBROUTINE physiq
